ALC locker streaming (HTTP Progressive)

Stream a previously purchased track from a user's locker. This endpoint can be used for online plays or offline caching (for plays when the device isn't connected to the Internet). Stream a previously purchased track from a user's locker. This endpoint can be used for online plays or offline caching (for plays when the device isn't connected to the Internet). HTTPS request OAuth User token

Example request

GET https://stream.svc.7digital.net/stream/locker?country=GB&userid=1234&trackid=123456&formatid=??...

Example response

HTTP/1.1 200 OK
Date: Thu, 19 Nov 2023 11:27:47 GMT
Content-Length: 7256280
Content-Type: audio/mpeg

Specific Error Codes

  • 1001 - Error: Missing "parameter name" query parameter. Not all mandatory parameters were specified in the request.
  • 1002 - Invalid value for "parameter name": parameter value. Value for parameter in error message is not valid.
  • 2001 - Track not found. This track isn't available for streaming in your country.
  • 2002 - Pre-release or license availability. Either the requested track is not in the user's locker, or the track is not available for streaming (note that streaming release dates may differ from download or catalogue streaming release dates).
Query Params
string
required

The unique identifier of the user. For information on creating users click here.

int32
required

The MassiveMusic ID of the track to be streamed.

int32

The MassiveMusic ID of the format requested. For information on supported streaming formats click here.

string
required

ISO 2-character code of the country the end user resides in.

Language
LoadingLoading…